Subject: Re: [bonding] compatibilty issues

From: "David S. Miller" <[email-masked]>
Date: Mon, 29 Sep 2003 22:54:25 -0700

On Mon, 29 Sep 2003 19:38:10 -0400
Jeff Garzik <[email-masked]> wrote:

> Well, if that's David's sentiment, then I respectfully disagree with that.

I really really really did intend to move these deprecated as fast as
possible.  This is because these bonding ioctls use SIOCDEVPRIVATE
values.

I don't think it's much of a burdon to remove their existence from
the 2.6.x copy of the driver, and I really wish you guys would do
this because then people would fix their tools.

You can very simply compile a copy of the tool that works with the
non-SIOCDEVPRIVATE ioctls we added to the bonding driver a LONG time
ago and it'll work with 2.4.x as well.  It doesn't break because
you made it work with the non-ambiguous ioctl values.